textures/bt_farm/glass
{
	qer_editorimage textures/bt_farm/glass.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm hint
	qer_trans 0.25
	{
		map textures/bt_farm/glass.tga
		blendfunc blend
		rgbGen lightingDiffuse
	}
	{
		map textures/bt_farm/refl.tga
		blendfunc add
		tcGen environment 
	}
}

textures/bt_farm/ladder
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.4
	//surfaceparm playerclip
}

textures/bt_farm/sky
{
	qer_editorimage textures/sky/box15.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 100
	q3map_sun 1 0.75 0.45 500 270 20
	skyParms env/saloon/saloon 128 -
	q3map_backsplash 0 0
}


textures/bt_farm/grass
{
	qer_editorimage textures/bt_farm/grass_flat.tga
	nomipmaps
	q3map_novertexshadows
	q3map_cloneShader textures/bt_farm/grass_p1
	{
		map textures/bt_farm/grass_flat.tga
	}
}

textures/bt_farm/grass_p1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/grass_p2
	q3map_offset 0.5
	{
		map textures/bt_farm/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/grass_p2
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/grass_p3
	q3map_offset 1
	{
		map textures/bt_farm/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/grass_p3
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/grass_p4
	q3map_offset 1.5
	{
		map textures/bt_farm/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/grass_p4
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/grass_p5
	q3map_offset 2
	{
		map textures/bt_farm/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/grass_p5
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_offset 2.5
	{
		map textures/bt_farm/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/bt_farm/sand_to_grass
{
	qer_editorimage textures/bt_farm/sand_to_grass_flat.tga
	nomipmaps
	q3map_novertexshadows
	q3map_cloneShader textures/bt_farm/sand_to_grass_p1
	{
		map textures/bt_farm/sand_to_grass_flat.tga
	}
}

textures/bt_farm/sand_to_grass_p1
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/sand_to_grass_p2
	q3map_offset 0.5
	{
		map textures/bt_farm/sand_to_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/sand_to_grass_p2
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/sand_to_grass_p3
	q3map_offset 1
	{
		map textures/bt_farm/sand_to_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/sand_to_grass_p3
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/sand_to_grass_p4
	q3map_offset 1.5
	{
		map textures/bt_farm/sand_to_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/sand_to_grass_p4
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_cloneShader textures/bt_farm/sand_to_grass_p5
	q3map_offset 2
	{
		map textures/bt_farm/sand_to_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bt_farm/sand_to_grass_p5
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nomipmaps
	q3map_novertexshadows
	cull twosided
	q3map_offset 2.5
	{
		map textures/bt_farm/sand_to_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}